%define name gstreamer-xing
%define version 0.8
%define release %mkrel 2
%define distsuffix plf
Summary: Xing MP3 encoder for GStreamer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/gstreamer-xing/%{name}-%{version}.tar.bz2
License: BSD
Group: Sound
Url: http://banshee-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgstreamer0.8-plugins-devel
Provides: banshee-xing
Obsoletes: banshee-xing
Requires(post): gstreamer08-tools
Requires(postun): gstreamer08-tools

%description
This is a GStreamer plugin of the Xing MP3 encoding engine.

This package is in PLF as it violates the MP3 patents.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer-0.8/libgstxingenc*a

%post
%{_bindir}/gst-register-0.8 > /dev/null 2> /dev/null

%postun
%{_bindir}/gst-register-0.8 > /dev/null 2> /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%_libdir/gstreamer-0.8/libgstxingenc.so

%changelog
* Mon Aug 28 2006 Götz Waschk <goetz@zarb.org> 0.8-2plf2007.0
- rebuild

* Tue Mar 21 2006 Götz Waschk <goetz@zarb.org> 0.8-1plf
- initial package
